Loading...

Authentication

POST
/oauth

We use the industry-standard oAuth2 authentication to secure our API.

Information you'll need

  • Your Client ID and Client Secret (from the application you created in Fuzebox).
  • Your API username and password (from the merchant credentials section in Fuzebox).

Step-by-step instructions on how to authenticate are available in our integration guides area.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://gateway.sandbox.volt.io/oauth" \  -H "Content-Type: application/json" \  -d '{    "grant_type": "password",    "client_id": "59280aee-6efd-48c2-b85a-7c315b885374",    "client_secret": "384f286f-4e89-4c93-b1d0-41f288fbc00c",    "username": "dummy-username",    "password": "randomgeneratedpassword"  }'
{
  "access_token": "eyJ0eXAiOi...",
  "token_type": "Bearer",
  "expires_in": 86400,
  "refresh_token": "50679c5db61d63b107273fa11a666a09fc7ae28"
}